查询邮件详情
POST
/erp/sc/data/mail/detail支持获取邮件内容详情
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/data/mail/detail | HTTPS | POST | 3 |
请求参数
webmail_uuidstring必填返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
webmail_uuidstring必填subjectstring必填from_namestring必填from_addressstring必填to_address_allstring必填datestring必填ccstring必填bccstring必填text_htmlstring必填text_plainstring必填attachmentsarray<object>必填隐藏子属性
namestring必填sizenumber必填typestring必填mail_sn_codestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "7F1131D2-BB65-F77A-E29D-8C712D6EAB64",
"response_time": "2022-03-31 17:18:07",
"data": {
"webmail_uuid": "1615637469510164901",
"mail_sn_code": "OTH0163416",
"subject": "标题",
"from_name": "system",
"from_address": "system@qq.com",
"to_address_all": "test<test@qq.com>;test2<test2@qq.com>;",
"date": "2020-11-29 17:52:28",
"cc": "test<test@qq.com>;test2<test2@qq.com>;",
"bcc": "test<test@qq.com>;test2<test2@qq.com>;",
"text_html": "<p><em>Failed to send email test</em></p>\r\n\r\n",
"text_plain": "",
"attachments": [
{
"name": "F42FD424@DF41B544.txt",
"size": 97078
},
{
"name": "91C213FF@15C47C48.txt",
"size": 287677
}
]
type: ""
},
"total": 0
}
返回失败示例
{
"code": 102,
"message": "参数不合法",
"error_details": ["webmail_uuid => email不能为空"],
"request_id": "8671A9D1-BC61-9398-FBD9-C90A672DAD11",
"response_time": "2022-03-31 15:55:03",
"data": [],
"total": 0
}